Digital AssetsBalances
Look up Digital Asset Balance
Authorization
authorization AuthorizationBearer <token>
Set Your Secret API Key
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
accountNumber*string
The digital asset account number.
Match
^[0-9]+$Length
0 <= length <= 12assetSymbol?string
Asset symbol. If assetSymbol is specified, balances would only contain a single entry of the specified asset. If no assetSymbol is specified, balances of all assets in the account are returned.
Value in
- "BCH"
- "BTC"
- "DOT"
- "ETH"
- "ETHW"
- "XRP"
- "ADA"
- "USDC"
- "RLUSD"
- "SGBENJI"
date?string
Date in ISO 8601 format. If date is specified, the balance returned will be as of 0000H on that date. If no date is specified, the current balance is returned.
Format
dateResponse Body
*/*
curl -X POST "https://example.com/v1/digital-assets/balance" \ -H "Content-Type: application/json" \ -d '{ "accountNumber": "string" }'{ "accountNumber": "string", "balances": [ { "aggregateBalance": "string", "assetSymbol": "string", "availableBalance": "string", "pendingDeposit": "string", "pendingWithdrawal": "string" } ]}